*==============================================================================
* Program:				COUNTFORMS.PRG
* Purpose:				Count the number of forms of each type
* From:				    Practical Tips for Working with Existing Code
* Copyright:			(c) 2007 Tamar E. Granor, Ph.D.
* Last revision:		03/21/07
*==============================================================================
LPARAMETERS cProject
MODIFY PROJECT (cProject) NOWAIT 
oProject = _VFP.ActiveProject

DIMENSION aFormTypes[4]
aFormTypes=0

FOR EACH oFile IN oProject.Files
	IF oFile.Type = "K"
		MODIFY FORM (oFile.Name)
		cType = INPUTBOX("1 for data entry, 2 for reporting, 3 for message, 4 for other")
		nType = val(cType)
		aFormTypes[nType] = aFormTypes[nType] + 1 
	ENDIF
ENDFOR

?"Data entry forms = ", aFormTypes[1]
?"Reporting forms = ", aFormTypes[2]
?"Message forms = ", aFormTypes[3]
?"Other forms = ", aFormTypes[4]